CREATE TABLE IF NOT EXISTS `dw_eibport` (  
    `sernr` VARCHAR(16) NOT NULL,  
    `title` TINYTEXT, 
    `configType` INT(1) UNSIGNED, 
    `lastEsfUpdate` DATETIME, 
    `host` TINYTEXT, 
    `portHttp` SMALLINT UNSIGNED, 
    PRIMARY KEY (`sernr`) 
    ) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `dw_knx_data` (  
    `sernr` VARCHAR(16) NOT NULL,
    `level` SMALLINT UNSIGNED, 
    PRIMARY KEY (`sernr`, `id`), 
    FOREIGN KEY (`sernr`) REFERENCES dw_eibport(sernr)  
    ) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `dw_knx_grouprange` (  
    `sernr` VARCHAR(16) NOT NULL,
    `id` VARCHAR(16) NOT NULL,
    `title` TINYTEXT, 
    `rangeEnd` SMALLINT UNSIGNED, 
    `rangeStart` SMALLINT UNSIGNED, 
    PRIMARY KEY (`sernr`, `id`), 
    FOREIGN KEY (`sernr`) REFERENCES dw_eibport(sernr)  
    ) DEFAULT CHARSET=utf8;
    
CREATE TABLE IF NOT EXISTS `dw_knx_groupaddress` (  
    `sernr` VARCHAR(16) NOT NULL,
    `id` VARCHAR(16) NOT NULL,
    `title` TINYTEXT, 
    `address` SMALLINT UNSIGNED, 
    PRIMARY KEY (`sernr`, `id`), 
    FOREIGN KEY (`sernr`) REFERENCES dw_eibport(sernr)  
    ) DEFAULT CHARSET=utf8;
    
CREATE TABLE IF NOT EXISTS `dw_queries` (  
    `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,  
    `title` TINYTEXT, 
    `query` TEXT, 
    PRIMARY KEY (`id`)
    ) DEFAULT CHARSET=utf8;