DROP PROCEDURE IF EXISTS `create_table_tele_history`;
%QUERY_SEPARATOR%
CREATE PROCEDURE `create_table_tele_history`(IN drop_first BOOLEAN, IN table_name VARCHAR(50))
BEGIN
  IF drop_first
  THEN
    SET @query = CONCAT("DROP TABLE IF EXISTS ", table_name);
    
    PREPARE sqlquery FROM @query;
    EXECUTE sqlquery;
    DEALLOCATE PREPARE sqlquery;
  END IF;
  
  SET @query = concat("CREATE TABLE IF NOT EXISTS ", table_name, 
                      " (
                          `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
                          `system_id` int(10) unsigned NOT NULL DEFAULT '0',
                          `sernr` varchar(16) NOT NULL DEFAULT '',
                          `ga1` int(11) NOT NULL DEFAULT '0',
                          `data` tinyblob NOT NULL,
                          `tid` int(10) unsigned NOT NULL DEFAULT '0',
                          `pid` int(10) unsigned NOT NULL DEFAULT '0',
                          `ep_time` int(10) unsigned NOT NULL DEFAULT '0',
                          `last_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
                          `src_type` smallint(6) NOT NULL DEFAULT '0',
                          `src_addr` mediumint NOT NULL DEFAULT '0',
                          `rt_counter` smallint(6) NOT NULL DEFAULT '0',
                          PRIMARY KEY (`id`),
                          KEY `sernr` (`sernr`),
                          KEY `ga1` (`ga1`),
                          KEY `last_time` (`last_time`),
                          KEY `src_addr` (`src_addr`)
                        ) ENGINE=MyISAM DEFAULT CHARSET=utf8");
  
  /*SELECT @query;*/
  
  PREPARE sqlquery FROM @query;
  EXECUTE sqlquery;
  DEALLOCATE PREPARE sqlquery;
END;